%define _unpackaged_files_terminate_build 0
%define cachedir /var/cache/pdnsd
%define conffile %{_sysconfdir}/pdnsd.conf

Summary: A caching dns proxy for small networks or dialin accounts
Summary(ko): 작은 네트워크나 dialin 계정을 위한 캐싱 dns 프락시
Name: pdnsd
Version: 1.2.9a
Release: 1
Epoch: 2
License: GPL
Group: System Environment/Daemons
Source0: http://www.phys.uu.nl/~rombouts/pdnsd/releases/%{name}-%{version}-par.tar.gz
Source1: %{name}.conf
Source2: %{name}.init
Source3: %{name}.sysconfig
Patch0: %{name}-ipv6.patch
URL: http://www.phys.uu.nl/~rombouts/pdnsd.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Conflicts: bind

%description
pdnsd is a proxy DNS daemon with permanent (disk-)cache and the ability
to serve local records. It is designed to detect network outages or hangups
and to prevent DNS-dependent applications like Netscape Navigator from hanging.

The original author of pdnsd is Thomas Moestl, but pdnsd is no longer maintained
by him. This is an extensively revised version by Paul A. Rombouts.
For a description of the changes see http://www.phys.uu.nl/~rombouts/pdnsd.html
and the file README.par in %{_docdir}/%{name}-%{version}

%package doc
Summary: pdnsd documentation
Summary(ko): pdnsd 문서
Group: Documentation

%description doc
pdnsd Documentation

%prep
%setup -q
%patch0 -p1

%build
CFLAGS="${CFLAGS:-$RPM_OPT_FLAGS -Wall}" \
%configure \
	--with-cachedir="%{cachedir}" \
	--with-distributon="AnNyung" \
	--enable-specbuild \
	--with-default-id=nobody \
	--with-thread-lib=linuxthreads \
	--enable-ipv6 \
	--enable-underscores \
	--enable-tcp-subseq \
	--disable-poll \
	--with-debug=0

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make DESTDIR="%{buildroot}" install

%{__mkdir} -p %{buildroot}%{_sysconfdir}/{sysconfig,rc.d/init.d}
%{__install} -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}.conf
%{__install} -m755 %{SOURCE2} %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}
%{__install} -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/%{name}

mv contrib contrib.org
%{__mkdir} -p contrib
cp -af contrib.org/{*.pl,dhcp2pdnsd} contrib/

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/chkconfig --add %{name}

%preun
if [ $1 = 0 ]; then
	/sbin/service %{name} stop >& /dev/null
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(-,root,root)
%doc doc/pdnsd.conf contrib/
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sysconfdir}/rc.d/init.d/%{name}
%{_sbindir}/*
%{_mandir}/*/*
%attr(-,nobody,root) /var/cache/%{name}/%{name}.cache
%attr(-,nobody,root) %dir /var/cache/%{name}

%files doc
%defattr (-,root,root)
%doc doc/txt/*

%changelog
* Sun Aug 13 2012 JoungKyun.Kim <http://oops.org> 2:1.2.9a-1%{?dist}
- update 1.2.9

* Wed Oct  3 2007 JoungKyun.Kim <http://oops.org> 2:1.2.6-1
- update 1.2.6
- add crestart mode (stop and remove cache and start) on init file

* Sat Mar 31 2007 JoungKyun.Kim <http://oops.org> 1:1.2.5-1
- first packaged


